CloudLinux - CloudLinux Blog - Beta: LVE Manager with PHP Selector for DirectAdmin and improvements for Python Selector released
RSS

Beta: LVE Manager with PHP Selector for DirectAdmin and improvements for Python Selector released

lve_manager1

New updated LVE Manager package with PHP Selector for DirectAdmin and improvements for Python Selector is now available for download from our updates-testing repository.

Changelog

alt-python27-cllib-1.5.8-1

  • LVEMAN-1497: automatically generate requirements file with extensions upon importing legacy apps
  • WEB-1515: ignore not utf-8 characters in /etc/cl.selector/php.conf

lve-utils-3.1.9-1

  • LVES-957: charset in lve-stats2 notifications
  • LU-1318: allow CloudLinux Wizard to set default Python version
  • LU-1310: implement collecting statistic about Python Selector on DirectAdmin

cagefs-6.1.6-1

  • CAG-935: handle the case when PHP file is a symlink to path mounted to CageFS on server with cPanel EA4
  • CAG-929: investigate CageFS package installation errors on new cPanel 80 install
  • CAG-887: CageFS should not fail when there is no free inodes on disk

lvemanager-5.0.3-1

  • WEB-1449: implement new PHP Selector for DirectAdmin
  • WEB-1510: load assets from images folder in DirectAdmin
  • WEB-1501: add information about possible problems with pip packages
  • WEB-1207: provide blocking of creating application when passenger is not installed
  • WEB-1439: add "select all versions" on Wizard page in version lists (all Selectors)
  • WEB-1521: template parse errors when try to open Python Selector
  • LVEMAN-1525: do not write empty python-selector.json if no Python applications are found during import
  • LVEMAN-1535: errors in the new PHP Selector due to open_basedir directive
  • WEB-1461: create notification angular service for showing multiple notifications
  • WEB-1462: layout new design according mockup for action notifications
  • LVEMAN-1505: investigate "moved home dir" cases for Python/Node.js Selectors
  • LVEMAN-1528: PHP Selector shows error in user's cPanel
  • WEB-1507: implement displaying Python Selector on the Dashboard and Wizard for DirectAdmin
  • LVEMAN-1538: cloudlinux-selector should not get info about domains of user for PHP interpreter
  • LVEMAN-1513: wrong error message for permission denied
  • LVEMAN-1506: we should return Passenger status for Python Selector like we already do for Node.js Selector
  • LVEMAN-1521: traceback in Python Selector when disk quota exceeded
  • WEB-1503: incorrect message for admin in PHP Selector if no versions of alt-php were installed
  • LVEMAN-1446: replace passenger doc URL in error message during Python app creation. Part II
  • WEB-1514: ignore auto_prepend_file and auto_append_file when get PHP ini defaults
  • LU-1312: Python application migration should work with small quota
  • LVEMAN-1512: add deprecation warning to --help of selectorctl and stubs for some its commands
  • WEB-1482: integration tests for Python application migration script
  • WEB-1502: hide Python icon when it disabled in DirectAdmin
  • WEB-1493: do not show error about sentry
  • WEB-1443: implement Resource Usage application
  • WEB-1508: an error during changing parameters in new PHP Selector
  • LU-1305: collect default version for Python Selector

lve-stats-2.9.4-1

  • LVES-957: charset in lve-stats2 notifications

To update

Run:

yum update lvemanager alt-python27-cllib lve-utils cagefs lve-stats --enablerepo=cloudlinux-updates-testing

To downgrade

Run:

yum downgrade lvemanager alt-python27-cllib lve-utils cagefs lve-stats
Beta: MySQL for MySQL Governor updated
Beta: EasyApache 4 updated
 

By accepting you will be accessing a service provided by a third-party external to https://www.cloudlinux.com/